org.apache.tapestry5.internal.antlr

## Class PropertyExpressionParser

- java.lang.Object
- - org.antlr.runtime.BaseRecognizer
  - - org.antlr.runtime.Parser
    - - org.apache.tapestry5.internal.antlr.BaseParser
      - - org.apache.tapestry5.internal.antlr.PropertyExpressionParser

-     public class PropertyExpressionParser
      extends BaseParser

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PropertyExpressionParser.constant_return`
    `static class` | `PropertyExpressionParser.expression_return`
    `static class` | `PropertyExpressionParser.expressionList_return`
    `static class` | `PropertyExpressionParser.keyword_return`
    `static class` | `PropertyExpressionParser.list_return`
    `static class` | `PropertyExpressionParser.map_return`
    `static class` | `PropertyExpressionParser.mapEntry_return`
    `static class` | `PropertyExpressionParser.mapEntryList_return`
    `static class` | `PropertyExpressionParser.mapKey_return`
    `static class` | `PropertyExpressionParser.methodInvocation_return`
    `static class` | `PropertyExpressionParser.notOp_return`
    `static class` | `PropertyExpressionParser.propertyChain_return`
    `static class` | `PropertyExpressionParser.rangeOp_return`
    `static class` | `PropertyExpressionParser.rangeopArg_return`
    `static class` | `PropertyExpressionParser.start_return`
    `static class` | `PropertyExpressionParser.term_return`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `A`
    `protected org.antlr.runtime.tree.TreeAdaptor` | `adaptor`
    `static int` | `BANG`
    `static int` | `COLON`
    `static int` | `COMMA`
    `static int` | `DECIMAL`
    `static int` | `DEREF`
    `static int` | `DIGIT`
    `static int` | `E`
    `static int` | `EOF`
    `static int` | `F`
    `static int` | `FALSE`
    `static org.antlr.runtime.BitSet` | `FOLLOW_BANG_in_notOp451`
    `static org.antlr.runtime.BitSet` | `FOLLOW_COLON_in_mapEntry530`
    `static org.antlr.runtime.BitSet` | `FOLLOW_COMMA_in_expressionList344`
    `static org.antlr.runtime.BitSet` | `FOLLOW_COMMA_in_mapEntryList514`
    `static org.antlr.runtime.BitSet` | `FOLLOW_constant_in_expression155`
    `static org.antlr.runtime.BitSet` | `FOLLOW_constant_in_mapKey546`
    `static org.antlr.runtime.BitSet` | `FOLLOW_constant_in_synpred3_PropertyExpressionParser155`
    `static org.antlr.runtime.BitSet` | `FOLLOW_DEREF_in_propertyChain224`
    `static org.antlr.runtime.BitSet` | `FOLLOW_DEREF_in_synpred12_PropertyExpressionParser224`
    `static org.antlr.runtime.BitSet` | `FOLLOW_EOF_in_start133`
    `static org.antlr.runtime.BitSet` | `FOLLOW_expression_in_expressionList341`
    `static org.antlr.runtime.BitSet` | `FOLLOW_expression_in_expressionList347`
    `static org.antlr.runtime.BitSet` | `FOLLOW_expression_in_mapEntry533`
    `static org.antlr.runtime.BitSet` | `FOLLOW_expression_in_notOp453`
    `static org.antlr.runtime.BitSet` | `FOLLOW_expression_in_start130`
    `static org.antlr.runtime.BitSet` | `FOLLOW_expressionList_in_list428`
    `static org.antlr.runtime.BitSet` | `FOLLOW_expressionList_in_methodInvocation315`
    `static org.antlr.runtime.BitSet` | `FOLLOW_IDENTIFIER_in_methodInvocation291`
    `static org.antlr.runtime.BitSet` | `FOLLOW_IDENTIFIER_in_methodInvocation311`
    `static org.antlr.runtime.BitSet` | `FOLLOW_IDENTIFIER_in_term272`
    `static org.antlr.runtime.BitSet` | `FOLLOW_INTEGER_in_rangeopArg396`
    `static org.antlr.runtime.BitSet` | `FOLLOW_keyword_in_expression145`
    `static org.antlr.runtime.BitSet` | `FOLLOW_keyword_in_mapKey542`
    `static org.antlr.runtime.BitSet` | `FOLLOW_LBRACE_in_map472`
    `static org.antlr.runtime.BitSet` | `FOLLOW_LBRACE_in_map485`
    `static org.antlr.runtime.BitSet` | `FOLLOW_LBRACKET_in_list413`
    `static org.antlr.runtime.BitSet` | `FOLLOW_LBRACKET_in_list426`
    `static org.antlr.runtime.BitSet` | `FOLLOW_list_in_expression165`
    `static org.antlr.runtime.BitSet` | `FOLLOW_LPAREN_in_methodInvocation293`
    `static org.antlr.runtime.BitSet` | `FOLLOW_LPAREN_in_methodInvocation313`
    `static org.antlr.runtime.BitSet` | `FOLLOW_map_in_expression175`
    `static org.antlr.runtime.BitSet` | `FOLLOW_mapEntry_in_mapEntryList511`
    `static org.antlr.runtime.BitSet` | `FOLLOW_mapEntry_in_mapEntryList517`
    `static org.antlr.runtime.BitSet` | `FOLLOW_mapEntryList_in_map487`
    `static org.antlr.runtime.BitSet` | `FOLLOW_mapKey_in_mapEntry528`
    `static org.antlr.runtime.BitSet` | `FOLLOW_methodInvocation_in_term277`
    `static org.antlr.runtime.BitSet` | `FOLLOW_notOp_in_expression170`
    `static org.antlr.runtime.BitSet` | `FOLLOW_propertyChain_in_expression160`
    `static org.antlr.runtime.BitSet` | `FOLLOW_propertyChain_in_mapKey550`
    `static org.antlr.runtime.BitSet` | `FOLLOW_propertyChain_in_propertyChain226`
    `static org.antlr.runtime.BitSet` | `FOLLOW_propertyChain_in_propertyChain245`
    `static org.antlr.runtime.BitSet` | `FOLLOW_propertyChain_in_rangeopArg401`
    `static org.antlr.runtime.BitSet` | `FOLLOW_propertyChain_in_synpred12_PropertyExpressionParser226`
    `static org.antlr.runtime.BitSet` | `FOLLOW_propertyChain_in_synpred13_PropertyExpressionParser245`
    `static org.antlr.runtime.BitSet` | `FOLLOW_propertyChain_in_synpred4_PropertyExpressionParser160`
    `static org.antlr.runtime.BitSet` | `FOLLOW_rangeOp_in_expression150`
    `static org.antlr.runtime.BitSet` | `FOLLOW_RANGEOP_in_rangeOp366`
    `static org.antlr.runtime.BitSet` | `FOLLOW_rangeOp_in_synpred2_PropertyExpressionParser150`
    `static org.antlr.runtime.BitSet` | `FOLLOW_rangeopArg_in_rangeOp363`
    `static org.antlr.runtime.BitSet` | `FOLLOW_rangeopArg_in_rangeOp370`
    `static org.antlr.runtime.BitSet` | `FOLLOW_RBRACE_in_map474`
    `static org.antlr.runtime.BitSet` | `FOLLOW_RBRACE_in_map489`
    `static org.antlr.runtime.BitSet` | `FOLLOW_RBRACKET_in_list415`
    `static org.antlr.runtime.BitSet` | `FOLLOW_RBRACKET_in_list430`
    `static org.antlr.runtime.BitSet` | `FOLLOW_RPAREN_in_methodInvocation295`
    `static org.antlr.runtime.BitSet` | `FOLLOW_RPAREN_in_methodInvocation317`
    `static org.antlr.runtime.BitSet` | `FOLLOW_SAFEDEREF_in_propertyChain243`
    `static org.antlr.runtime.BitSet` | `FOLLOW_SAFEDEREF_in_synpred13_PropertyExpressionParser243`
    `static org.antlr.runtime.BitSet` | `FOLLOW_term_in_propertyChain222`
    `static org.antlr.runtime.BitSet` | `FOLLOW_term_in_propertyChain241`
    `static org.antlr.runtime.BitSet` | `FOLLOW_term_in_propertyChain260`
    `static org.antlr.runtime.BitSet` | `FOLLOW_term_in_synpred12_PropertyExpressionParser222`
    `static org.antlr.runtime.BitSet` | `FOLLOW_term_in_synpred13_PropertyExpressionParser241`
    `static int` | `H`
    `static int` | `I`
    `static int` | `IDENTIFIER`
    `static int` | `INTEGER`
    `static int` | `INVOKE`
    `static int` | `JAVA_ID_PART`
    `static int` | `JAVA_ID_START`
    `static int` | `L`
    `static int` | `LBRACE`
    `static int` | `LBRACKET`
    `static int` | `LETTER`
    `static int` | `LIST`
    `static int` | `LPAREN`
    `static int` | `MAP`
    `static int` | `N`
    `static int` | `NOT`
    `static int` | `NULL`
    `static int` | `NUMBER_OR_RANGEOP`
    `static int` | `QUOTE`
    `static int` | `R`
    `static int` | `RANGEOP`
    `static int` | `RBRACE`
    `static int` | `RBRACKET`
    `static int` | `RPAREN`
    `static int` | `S`
    `static int` | `SAFEDEREF`
    `static int` | `SIGN`
    `static int` | `STRING`
    `static int` | `T`
    `static int` | `THIS`
    `static String[]` | `tokenNames`
    `static int` | `TRUE`
    `static int` | `U`
    `static int` | `WS`

    - ### Fields inherited from class org.antlr.runtime.Parser

      `input`

    - ### Fields inherited from class org.antlr.runtime.BaseRecognizer

      `DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyExpressionParser(org.antlr.runtime.TokenStream input)`
    `PropertyExpressionParser(org.antlr.runtime.TokenStream input, org.antlr.runtime.RecognizerSharedState state)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyExpressionParser.constant_return` | `constant()`
    `PropertyExpressionParser.expression_return` | `expression()`
    `PropertyExpressionParser.expressionList_return` | `expressionList()`
    `BaseParser[]` | `getDelegates()`
    `String` | `getGrammarFileName()`
    `String[]` | `getTokenNames()`
    `org.antlr.runtime.tree.TreeAdaptor` | `getTreeAdaptor()`
    `PropertyExpressionParser.keyword_return` | `keyword()`
    `PropertyExpressionParser.list_return` | `list()`
    `PropertyExpressionParser.map_return` | `map()`
    `PropertyExpressionParser.mapEntry_return` | `mapEntry()`
    `PropertyExpressionParser.mapEntryList_return` | `mapEntryList()`
    `PropertyExpressionParser.mapKey_return` | `mapKey()`
    `PropertyExpressionParser.methodInvocation_return` | `methodInvocation()`
    `PropertyExpressionParser.notOp_return` | `notOp()`
    `PropertyExpressionParser.propertyChain_return` | `propertyChain()`
    `PropertyExpressionParser.rangeOp_return` | `rangeOp()`
    `PropertyExpressionParser.rangeopArg_return` | `rangeopArg()`
    `void` | `setTreeAdaptor(org.antlr.runtime.tree.TreeAdaptor adaptor)`
    `PropertyExpressionParser.start_return` | `start()`
    `void` | `synpred12_PropertyExpressionParser_fragment()`
    `boolean` | `synpred12_PropertyExpressionParser()`
    `void` | `synpred13_PropertyExpressionParser_fragment()`
    `boolean` | `synpred13_PropertyExpressionParser()`
    `void` | `synpred2_PropertyExpressionParser_fragment()`
    `boolean` | `synpred2_PropertyExpressionParser()`
    `void` | `synpred3_PropertyExpressionParser_fragment()`
    `boolean` | `synpred3_PropertyExpressionParser()`
    `void` | `synpred4_PropertyExpressionParser_fragment()`
    `boolean` | `synpred4_PropertyExpressionParser()`
    `PropertyExpressionParser.term_return` | `term()`

    - ### Methods inherited from class org.apache.tapestry5.internal.antlr.BaseParser

      `emitErrorMessage`

    - ### Methods inherited from class org.antlr.runtime.Parser

      `getCurrentInputSymbol, getMissingSymbol, getSourceName, getTokenStream, reset, setTokenStream, traceIn, traceOut`

    - ### Methods inherited from class org.antlr.runtime.BaseRecognizer

      `alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, displayRecognitionError, endResync, failed, getBacktrackingLevel, getErrorHeader, getErrorMessage, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, reportError, setBacktrackingLevel, toStrings, traceIn, traceOut`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tokenNames

          public static final String[] tokenNames

    - #### EOF

          public static final int EOF

      See Also:
        Constant Field Values

    - #### A

          public static final int A

      See Also:
        Constant Field Values

    - #### BANG

          public static final int BANG

      See Also:
        Constant Field Values

    - #### COLON

          public static final int COLON

      See Also:
        Constant Field Values

    - #### COMMA

          public static final int COMMA

      See Also:
        Constant Field Values

    - #### DECIMAL

          public static final int DECIMAL

      See Also:
        Constant Field Values

    - #### DEREF

          public static final int DEREF

      See Also:
        Constant Field Values

    - #### DIGIT

          public static final int DIGIT

      See Also:
        Constant Field Values

    - #### E

          public static final int E

      See Also:
        Constant Field Values

    - #### F

          public static final int F

      See Also:
        Constant Field Values

    - #### FALSE

          public static final int FALSE

      See Also:
        Constant Field Values

    - #### H

          public static final int H

      See Also:
        Constant Field Values

    - #### I

          public static final int I

      See Also:
        Constant Field Values

    - #### IDENTIFIER

          public static final int IDENTIFIER

      See Also:
        Constant Field Values

    - #### INTEGER

          public static final int INTEGER

      See Also:
        Constant Field Values

    - #### JAVA_ID_PART

          public static final int JAVA_ID_PART

      See Also:
        Constant Field Values

    - #### JAVA_ID_START

          public static final int JAVA_ID_START

      See Also:
        Constant Field Values

    - #### L

          public static final int L

      See Also:
        Constant Field Values

    - #### LBRACE

          public static final int LBRACE

      See Also:
        Constant Field Values

    - #### LBRACKET

          public static final int LBRACKET

      See Also:
        Constant Field Values

    - #### LETTER

          public static final int LETTER

      See Also:
        Constant Field Values

    - #### LPAREN

          public static final int LPAREN

      See Also:
        Constant Field Values

    - #### N

          public static final int N

      See Also:
        Constant Field Values

    - #### NULL

          public static final int NULL

      See Also:
        Constant Field Values

    - #### NUMBER_OR_RANGEOP

          public static final int NUMBER_OR_RANGEOP

      See Also:
        Constant Field Values

    - #### QUOTE

          public static final int QUOTE

      See Also:
        Constant Field Values

    - #### R

          public static final int R

      See Also:
        Constant Field Values

    - #### RANGEOP

          public static final int RANGEOP

      See Also:
        Constant Field Values

    - #### RBRACE

          public static final int RBRACE

      See Also:
        Constant Field Values

    - #### RBRACKET

          public static final int RBRACKET

      See Also:
        Constant Field Values

    - #### RPAREN

          public static final int RPAREN

      See Also:
        Constant Field Values

    - #### S

          public static final int S

      See Also:
        Constant Field Values

    - #### SAFEDEREF

          public static final int SAFEDEREF

      See Also:
        Constant Field Values

    - #### SIGN

          public static final int SIGN

      See Also:
        Constant Field Values

    - #### STRING

          public static final int STRING

      See Also:
        Constant Field Values

    - #### T

          public static final int T

      See Also:
        Constant Field Values

    - #### THIS

          public static final int THIS

      See Also:
        Constant Field Values

    - #### TRUE

          public static final int TRUE

      See Also:
        Constant Field Values

    - #### U

          public static final int U

      See Also:
        Constant Field Values

    - #### WS

          public static final int WS

      See Also:
        Constant Field Values

    - #### INVOKE

          public static final int INVOKE

      See Also:
        Constant Field Values

    - #### LIST

          public static final int LIST

      See Also:
        Constant Field Values

    - #### MAP

          public static final int MAP

      See Also:
        Constant Field Values

    - #### NOT

          public static final int NOT

      See Also:
        Constant Field Values

    - #### adaptor

          protected org.antlr.runtime.tree.TreeAdaptor adaptor

    - #### FOLLOW_expression_in_start130

          public static final org.antlr.runtime.BitSet FOLLOW_expression_in_start130

    - #### FOLLOW_EOF_in_start133

          public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_start133

    - #### FOLLOW_keyword_in_expression145

          public static final org.antlr.runtime.BitSet FOLLOW_keyword_in_expression145

    - #### FOLLOW_rangeOp_in_expression150

          public static final org.antlr.runtime.BitSet FOLLOW_rangeOp_in_expression150

    - #### FOLLOW_constant_in_expression155

          public static final org.antlr.runtime.BitSet FOLLOW_constant_in_expression155

    - #### FOLLOW_propertyChain_in_expression160

          public static final org.antlr.runtime.BitSet FOLLOW_propertyChain_in_expression160

    - #### FOLLOW_list_in_expression165

          public static final org.antlr.runtime.BitSet FOLLOW_list_in_expression165

    - #### FOLLOW_notOp_in_expression170

          public static final org.antlr.runtime.BitSet FOLLOW_notOp_in_expression170

    - #### FOLLOW_map_in_expression175

          public static final org.antlr.runtime.BitSet FOLLOW_map_in_expression175

    - #### FOLLOW_term_in_propertyChain222

          public static final org.antlr.runtime.BitSet FOLLOW_term_in_propertyChain222

    - #### FOLLOW_DEREF_in_propertyChain224

          public static final org.antlr.runtime.BitSet FOLLOW_DEREF_in_propertyChain224

    - #### FOLLOW_propertyChain_in_propertyChain226

          public static final org.antlr.runtime.BitSet FOLLOW_propertyChain_in_propertyChain226

    - #### FOLLOW_term_in_propertyChain241

          public static final org.antlr.runtime.BitSet FOLLOW_term_in_propertyChain241

    - #### FOLLOW_SAFEDEREF_in_propertyChain243

          public static final org.antlr.runtime.BitSet FOLLOW_SAFEDEREF_in_propertyChain243

    - #### FOLLOW_propertyChain_in_propertyChain245

          public static final org.antlr.runtime.BitSet FOLLOW_propertyChain_in_propertyChain245

    - #### FOLLOW_term_in_propertyChain260

          public static final org.antlr.runtime.BitSet FOLLOW_term_in_propertyChain260

    - #### FOLLOW_IDENTIFIER_in_term272

          public static final org.antlr.runtime.BitSet FOLLOW_IDENTIFIER_in_term272

    - #### FOLLOW_methodInvocation_in_term277

          public static final org.antlr.runtime.BitSet FOLLOW_methodInvocation_in_term277

    - #### FOLLOW_IDENTIFIER_in_methodInvocation291

          public static final org.antlr.runtime.BitSet FOLLOW_IDENTIFIER_in_methodInvocation291

    - #### FOLLOW_LPAREN_in_methodInvocation293

          public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_methodInvocation293

    - #### FOLLOW_RPAREN_in_methodInvocation295

          public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_methodInvocation295

    - #### FOLLOW_IDENTIFIER_in_methodInvocation311

          public static final org.antlr.runtime.BitSet FOLLOW_IDENTIFIER_in_methodInvocation311

    - #### FOLLOW_LPAREN_in_methodInvocation313

          public static final org.antlr.runtime.BitSet FOLLOW_LPAREN_in_methodInvocation313

    - #### FOLLOW_expressionList_in_methodInvocation315

          public static final org.antlr.runtime.BitSet FOLLOW_expressionList_in_methodInvocation315

    - #### FOLLOW_RPAREN_in_methodInvocation317

          public static final org.antlr.runtime.BitSet FOLLOW_RPAREN_in_methodInvocation317

    - #### FOLLOW_expression_in_expressionList341

          public static final org.antlr.runtime.BitSet FOLLOW_expression_in_expressionList341

    - #### FOLLOW_COMMA_in_expressionList344

          public static final org.antlr.runtime.BitSet FOLLOW_COMMA_in_expressionList344

    - #### FOLLOW_expression_in_expressionList347

          public static final org.antlr.runtime.BitSet FOLLOW_expression_in_expressionList347

    - #### FOLLOW_rangeopArg_in_rangeOp363

          public static final org.antlr.runtime.BitSet FOLLOW_rangeopArg_in_rangeOp363

    - #### FOLLOW_RANGEOP_in_rangeOp366

          public static final org.antlr.runtime.BitSet FOLLOW_RANGEOP_in_rangeOp366

    - #### FOLLOW_rangeopArg_in_rangeOp370

          public static final org.antlr.runtime.BitSet FOLLOW_rangeopArg_in_rangeOp370

    - #### FOLLOW_INTEGER_in_rangeopArg396

          public static final org.antlr.runtime.BitSet FOLLOW_INTEGER_in_rangeopArg396

    - #### FOLLOW_propertyChain_in_rangeopArg401

          public static final org.antlr.runtime.BitSet FOLLOW_propertyChain_in_rangeopArg401

    - #### FOLLOW_LBRACKET_in_list413

          public static final org.antlr.runtime.BitSet FOLLOW_LBRACKET_in_list413

    - #### FOLLOW_RBRACKET_in_list415

          public static final org.antlr.runtime.BitSet FOLLOW_RBRACKET_in_list415

    - #### FOLLOW_LBRACKET_in_list426

          public static final org.antlr.runtime.BitSet FOLLOW_LBRACKET_in_list426

    - #### FOLLOW_expressionList_in_list428

          public static final org.antlr.runtime.BitSet FOLLOW_expressionList_in_list428

    - #### FOLLOW_RBRACKET_in_list430

          public static final org.antlr.runtime.BitSet FOLLOW_RBRACKET_in_list430

    - #### FOLLOW_BANG_in_notOp451

          public static final org.antlr.runtime.BitSet FOLLOW_BANG_in_notOp451

    - #### FOLLOW_expression_in_notOp453

          public static final org.antlr.runtime.BitSet FOLLOW_expression_in_notOp453

    - #### FOLLOW_LBRACE_in_map472

          public static final org.antlr.runtime.BitSet FOLLOW_LBRACE_in_map472

    - #### FOLLOW_RBRACE_in_map474

          public static final org.antlr.runtime.BitSet FOLLOW_RBRACE_in_map474

    - #### FOLLOW_LBRACE_in_map485

          public static final org.antlr.runtime.BitSet FOLLOW_LBRACE_in_map485

    - #### FOLLOW_mapEntryList_in_map487

          public static final org.antlr.runtime.BitSet FOLLOW_mapEntryList_in_map487

    - #### FOLLOW_RBRACE_in_map489

          public static final org.antlr.runtime.BitSet FOLLOW_RBRACE_in_map489

    - #### FOLLOW_mapEntry_in_mapEntryList511

          public static final org.antlr.runtime.BitSet FOLLOW_mapEntry_in_mapEntryList511

    - #### FOLLOW_COMMA_in_mapEntryList514

          public static final org.antlr.runtime.BitSet FOLLOW_COMMA_in_mapEntryList514

    - #### FOLLOW_mapEntry_in_mapEntryList517

          public static final org.antlr.runtime.BitSet FOLLOW_mapEntry_in_mapEntryList517

    - #### FOLLOW_mapKey_in_mapEntry528

          public static final org.antlr.runtime.BitSet FOLLOW_mapKey_in_mapEntry528

    - #### FOLLOW_COLON_in_mapEntry530

          public static final org.antlr.runtime.BitSet FOLLOW_COLON_in_mapEntry530

    - #### FOLLOW_expression_in_mapEntry533

          public static final org.antlr.runtime.BitSet FOLLOW_expression_in_mapEntry533

    - #### FOLLOW_keyword_in_mapKey542

          public static final org.antlr.runtime.BitSet FOLLOW_keyword_in_mapKey542

    - #### FOLLOW_constant_in_mapKey546

          public static final org.antlr.runtime.BitSet FOLLOW_constant_in_mapKey546

    - #### FOLLOW_propertyChain_in_mapKey550

          public static final org.antlr.runtime.BitSet FOLLOW_propertyChain_in_mapKey550

    - #### FOLLOW_rangeOp_in_synpred2_PropertyExpressionParser150

          public static final org.antlr.runtime.BitSet FOLLOW_rangeOp_in_synpred2_PropertyExpressionParser150

    - #### FOLLOW_constant_in_synpred3_PropertyExpressionParser155

          public static final org.antlr.runtime.BitSet FOLLOW_constant_in_synpred3_PropertyExpressionParser155

    - #### FOLLOW_propertyChain_in_synpred4_PropertyExpressionParser160

          public static final org.antlr.runtime.BitSet FOLLOW_propertyChain_in_synpred4_PropertyExpressionParser160

    - #### FOLLOW_term_in_synpred12_PropertyExpressionParser222

          public static final org.antlr.runtime.BitSet FOLLOW_term_in_synpred12_PropertyExpressionParser222

    - #### FOLLOW_DEREF_in_synpred12_PropertyExpressionParser224

          public static final org.antlr.runtime.BitSet FOLLOW_DEREF_in_synpred12_PropertyExpressionParser224

    - #### FOLLOW_propertyChain_in_synpred12_PropertyExpressionParser226

          public static final org.antlr.runtime.BitSet FOLLOW_propertyChain_in_synpred12_PropertyExpressionParser226

    - #### FOLLOW_term_in_synpred13_PropertyExpressionParser241

          public static final org.antlr.runtime.BitSet FOLLOW_term_in_synpred13_PropertyExpressionParser241

    - #### FOLLOW_SAFEDEREF_in_synpred13_PropertyExpressionParser243

          public static final org.antlr.runtime.BitSet FOLLOW_SAFEDEREF_in_synpred13_PropertyExpressionParser243

    - #### FOLLOW_propertyChain_in_synpred13_PropertyExpressionParser245

          public static final org.antlr.runtime.BitSet FOLLOW_propertyChain_in_synpred13_PropertyExpressionParser245

  - ### Constructor Detail

    - #### PropertyExpressionParser

          public PropertyExpressionParser(org.antlr.runtime.TokenStream input)

    - #### PropertyExpressionParser

          public PropertyExpressionParser(org.antlr.runtime.TokenStream input,
                                          org.antlr.runtime.RecognizerSharedState state)

  - ### Method Detail

    - #### getDelegates

          public BaseParser[] getDelegates()

    - #### setTreeAdaptor

          public void setTreeAdaptor(org.antlr.runtime.tree.TreeAdaptor adaptor)

    - #### getTreeAdaptor

          public org.antlr.runtime.tree.TreeAdaptor getTreeAdaptor()

    - #### getTokenNames

          public String[] getTokenNames()

      Overrides:
        `getTokenNames` in class `org.antlr.runtime.BaseRecognizer`

    - #### getGrammarFileName

          public String getGrammarFileName()

      Overrides:
        `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

    - #### start

          public final PropertyExpressionParser.start_return start()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### expression

          public final PropertyExpressionParser.expression_return expression()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### keyword

          public final PropertyExpressionParser.keyword_return keyword()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### constant

          public final PropertyExpressionParser.constant_return constant()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### propertyChain

          public final PropertyExpressionParser.propertyChain_return propertyChain()
                                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### term

          public final PropertyExpressionParser.term_return term()
                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### methodInvocation

          public final PropertyExpressionParser.methodInvocation_return methodInvocation()
                                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### expressionList

          public final PropertyExpressionParser.expressionList_return expressionList()
                                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### rangeOp

          public final PropertyExpressionParser.rangeOp_return rangeOp()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### rangeopArg

          public final PropertyExpressionParser.rangeopArg_return rangeopArg()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### list

          public final PropertyExpressionParser.list_return list()
                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### notOp

          public final PropertyExpressionParser.notOp_return notOp()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### map

          public final PropertyExpressionParser.map_return map()
                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mapEntryList

          public final PropertyExpressionParser.mapEntryList_return mapEntryList()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mapEntry

          public final PropertyExpressionParser.mapEntry_return mapEntry()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mapKey

          public final PropertyExpressionParser.mapKey_return mapKey()
                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred2_PropertyExpressionParser_fragment

          public final void synpred2_PropertyExpressionParser_fragment()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred3_PropertyExpressionParser_fragment

          public final void synpred3_PropertyExpressionParser_fragment()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred4_PropertyExpressionParser_fragment

          public final void synpred4_PropertyExpressionParser_fragment()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred12_PropertyExpressionParser_fragment

          public final void synpred12_PropertyExpressionParser_fragment()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred13_PropertyExpressionParser_fragment

          public final void synpred13_PropertyExpressionParser_fragment()
                                                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred2_PropertyExpressionParser

          public final boolean synpred2_PropertyExpressionParser()

    - #### synpred13_PropertyExpressionParser

          public final boolean synpred13_PropertyExpressionParser()

    - #### synpred4_PropertyExpressionParser

          public final boolean synpred4_PropertyExpressionParser()

    - #### synpred12_PropertyExpressionParser

          public final boolean synpred12_PropertyExpressionParser()

    - #### synpred3_PropertyExpressionParser

          public final boolean synpred3_PropertyExpressionParser()

5.6.4 - Copyright © 2003-2021 The Apache Software Foundation.